[Bug] Api summary parameter should not override auto comment
Closed, ResolvedPublic

Description

When passing summary=something to an edit api of Wikibase Repository, it replaces the autogenerated summary which is appended otherwise. Instead of replacing it, it should go behind that auto comment.

Background: While we want to allow users to be able to add their own comments, the auto comment should still be visible on watchlists and recent changes so that one can see immediately what has changed.

Bene created this task.Apr 26 2015, 11:38 AM
Bene updated the task description. (Show Details)
Bene raised the priority of this task from to Needs Triage.
Bene added a subscriber: Bene.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2015, 11:38 AM
Lydia_Pintscher triaged this task as Normal priority.
Lydia_Pintscher set Security to None.
Lydia_Pintscher added subscribers: daniel, Addshore.

We should do this. This is also starting to become a larger problem with the primary sources tool: https://www.wikidata.org/w/index.php?title=Q884999&diff=222034982&oldid=200989213

Lydia_Pintscher raised the priority of this task from Normal to High.
Lydia_Pintscher added subscribers: Ladsgroup, Multichill.
Jonas renamed this task from Api summary parameter should not override auto comment to [Bug] Api summary parameter should not override auto comment.Aug 14 2015, 8:00 AM

The decision to do it the way we currently do it was made roughly a year and a half ago which I was against!

I'd me more than happy to fix this! :D

Unless there are huge objections in the next week here let's do it!

Change 232037 had a related patch set uploaded (by Addshore):
Api summary parameter should not override auto comment

https://gerrit.wikimedia.org/r/232037

This change will change the edit summary produced by bots and make it quite a bit longer. This should probably be communicated properly to bot operators and the community at large so people know why suddenly some of the bot edit summaries got so crazy long. The weekly news thing seems like a good venue for that. Just put it in there the week before it gets deployed.

Change 232037 merged by jenkins-bot:
Api summary parameter should not override auto comment

https://gerrit.wikimedia.org/r/232037

Lydia_Pintscher closed this task as Resolved.Aug 22 2015, 8:13 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher moved this task from Backlog to Done on the Wikidata-Sprint-2015-08-18 board.